Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.utils
Class NamespacesScope

    java.lang.Object
      |
      +--weblogic.apache.xerces.utils.NamespacesScope

public class NamespacesScope
extends java.lang.Object

NamespacesScope provides a data structure for mapping namespace prefixes to their URI's. The mapping accurately reflects the scoping of namespaces at a particular instant in time.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Inner Class Summary
`static interface` | `NamespacesScope.NamespacesHandler` NamespacesHandler allows a client to be notified when namespace scopes change

Constructor Summary
`NamespacesScope(NamespacesScope.NamespacesHandler handler)`

Method Summary
`void` | `decreaseDepth()` Remove a namespace mappng
`int` | `getNamespaceForPrefix(int prefix)` retreive the namespace URI for a prefix
`void` | `increaseDepth()` Add a new namespace mapping
`void` | `setNamespaceForPrefix(int prefix, int namespace)` set the namespace URI for given prefix

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamespacesScope

    public NamespacesScope(NamespacesScope.NamespacesHandler handler)

Method Detail

### setNamespaceForPrefix

    public void setNamespaceForPrefix(int prefix,
                                      int namespace)
                               throws java.lang.Exception

  set the namespace URI for given prefix

  Parameters:
    `prefix` - the StringPool handler of the prefix
    `namespace` - the StringPool handle of the namespace URI

### getNamespaceForPrefix

    public int getNamespaceForPrefix(int prefix)

  retreive the namespace URI for a prefix

  Parameters:
    `prefix` - the StringPool handle of the prefix

### increaseDepth

    public void increaseDepth()
                       throws java.lang.Exception

  Add a new namespace mapping

### decreaseDepth

    public void decreaseDepth()
                       throws java.lang.Exception

  Remove a namespace mappng

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD